Bug 5603 - Downstream grid-mapfile read only once?
: Downstream grid-mapfile read only once?
Status: RESOLVED FIXED
: CoG jglobus
security
: 0.9.13
: All All
: P3 normal
: 1.6
Assigned To:
:
: Teragrid
:
:
  Show dependency treegraph
 
Reported: 2007-10-10 22:38 by
Modified: 2008-09-29 17:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-10-10 22:38:46
In GT 4.0.5 etc/globus_wsrf_mds_index/server-config.wsdd the TeraGrid
has a securityDescriptor that is configured to use a gridmap file to authorize
upstream registrations.  This gridmap file appears to be only read once (either
at startup or first use) and not subsequently.  The mapfile should be read each
time authorization needs to be verified. We would like to avoid taking the MDS
service down whenever we change the authorization gridmap.

This is how WS GRAM handles it, for example.

Thanks
------- Comment #1 From 2008-07-21 17:58:38 -------
I can't reproduce this locally, but I suspect that what is going on is that the
gridmap refresh code isn't interacting well with something on the affected
servers.
------- Comment #2 From 2008-07-21 18:27:52 -------
Actually, apparently it's working now.  Never mind...